skriker

WordPress: nefungující lokalizace v PHP 5

autor - malyfred / 10. 10. 2004 /
  • english

Pokud se potýkáte s nefungující lokalizací WordPressu, končící tímto varováním:

Warning: fread() [function.fread]: Length parameter must be greater than 0. in vase_domena/wp-includes/streams.php on line 107

pak mám pro Vás dobrou zprávu – našel jsem chybu a opravil jsem jí.

Oprava v souboru gettext.php vypadá zhruba takto:

//$MAGIC1 = (int)0x950412de; //bug in PHP 5
//$MAGIC1 = (int) - 1794895138; //bug in PHP 4.4.0
$MAGIC1 = 2500072158;

//$MAGIC2 = (int)0xde120495; //bug in PHP 5
//$MAGIC2 = (int) - 569244523;// bug in PHP 4.4.0
$MAGIC2 = 3725722773;

© 2004 - 2019 malyfred